from PyQt5.QtWidgets import QFileDialog

class CtrlCraftTrucksLoadsStatusExport:
    """
    Dialog to import Slabs in database.
    """
    def __init__(self, data):
        self.data = data

    def export(self):
        csv, __ = QFileDialog.getSaveFileName(None, 'RTKube data', '',
                                              'CSV (*.csv);;All Files (*)')
        if csv:
            if not csv.endswith('.csv'):
                csv = '{}.{}'.format(csv, 'csv')
            self.data.trucks_loads_status_export(csv)

